com.dlsc.flexgantt.swing.layer.system

## Enum LassoLayer.SelectionBehaviour

- java.lang.Object
- - java.lang.Enum<LassoLayer.SelectionBehaviour>
  - - com.dlsc.flexgantt.swing.layer.system.LassoLayer.SelectionBehaviour

- All Implemented Interfaces:
    Serializable, Comparable<LassoLayer.SelectionBehaviour>
  Enclosing class:
    LassoLayer

      public static enum LassoLayer.SelectionBehaviour
      extends Enum<LassoLayer.SelectionBehaviour>

  An enumerator used to control the selection behaviour of the lasso. In some applications it is sufficient when the bounds of a timeline object intersect with the bounds of the lasso, in others the timeline objects need to be completely contained within the lasso bounds.
  Since:
    1.1
  See Also:
    `LassoLayer.setSelectionBehaviour(com.dlsc.flexgantt.swing.layer.system.LassoLayer.SelectionBehaviour)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOUNDS_CONTAINMENT` A value indicating to the lasso layer that the bounds of a timeline object need to be completely contained within the bounds of the lasso in order for the timeline object to become selected.
    `INTERSECTION` A value indicating to the lasso layer that a simple intersection of the bounds of a timeline object with the bounds of the lasso is sufficient for the selection of the timeline object.
    `TIME_SPAN_CONTAINMENT` A value indicating to the lasso layer that the time span of a timeline object needs to be completely contained within the time span defined by the lasso in order for the timeline object to become selected.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LassoLayer.SelectionBehaviour` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LassoLayer.SelectionBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERSECTION

          public static final LassoLayer.SelectionBehaviour INTERSECTION

      A value indicating to the lasso layer that a simple intersection of the bounds of a timeline object with the bounds of the lasso is sufficient for the selection of the timeline object.
      Since:
        1.1

    - #### TIME_SPAN_CONTAINMENT

          public static final LassoLayer.SelectionBehaviour TIME_SPAN_CONTAINMENT

      A value indicating to the lasso layer that the time span of a timeline object needs to be completely contained within the time span defined by the lasso in order for the timeline object to become selected.
      Since:
        1.1

    - #### BOUNDS_CONTAINMENT

          public static final LassoLayer.SelectionBehaviour BOUNDS_CONTAINMENT

      A value indicating to the lasso layer that the bounds of a timeline object need to be completely contained within the bounds of the lasso in order for the timeline object to become selected.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static LassoLayer.SelectionBehaviour[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LassoLayer.SelectionBehaviour c : LassoLayer.SelectionBehaviour.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LassoLayer.SelectionBehaviour valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.